package com.example.wholeestate.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.example.wholeestate.common.resp.ResponseBean;
import com.example.wholeestate.model.Building;

/**
 * <p>
 * 楼盘表 服务类
 * </p>
 *
 * @author jobob
 * @since 2019-03-20
 */
public interface IBuildingService extends IService<Building> {
    /**
     * 楼盘列表
     * @param parameter
     * @return
     */
    ResponseBean buildingList(String parameter);

    /**
     * 楼盘详情
      * @param id
     * @return
     */
    ResponseBean buildingSelectId(Integer id);

    /**
     * 修改楼盘
     * @param parameter
     * @return
     */
    ResponseBean buildingUpdate(String parameter);

    /**
     *
     * @param parameter
     * @return
     */
    ResponseBean appointmentList(String parameter);
}
