package com.example.wholeestate.model;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 活动报名表
 * </p>
 *
 * @author weiximei
 * @since 2019-03-20
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("ta_activity_enroll")
public class ActivityEnroll implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 报名ID
     */
    private String enrollId;

    /**
     * 活动ID
     */
    private String activityId;

    /**
     * 用户ID
     */
    private String customerId;

    /**
     * 报名时间
     */
    private LocalDateTime enrollDate;


}
