package com.example.wholeestate.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.example.wholeestate.common.resp.ResponseBean;
import com.example.wholeestate.model.ActivityEnroll;

/**
 * <p>
 * 活动报名表 服务类
 * </p>
 *
 * @author weiximei
 * @since 2019-03-20
 */
public interface IActivityEnrollService extends IService<ActivityEnroll> {

    /**
     * 根据活动id 查询 活动报名列表
     * @param parameter
     * @return
     */
    ResponseBean getActivitySignUpList(String activityId,String parameter);

}
